//
// foundation/base/page
//

// [1] Force Vertical Scrollbar: https://css-tricks.com/snippets/css/force-vertical-scrollbar/
// [2] Ensure the page always fills at least the entire height of the viewport
// [3] Prevent certain mobile browsers from automatically zooming fonts
// [4] Font-smoothing: https://davidwalsh.name/font-smoothing

html {
  font-family: $base-font-family;
  font-size: ($base-font-size / 1rem) * 1em;
  line-height: $base-line-height;
  color: $color-text;
  background-color: #fff;
  overflow-y: scroll; // [1]
  min-height: 100%; // [2]
  -webkit-text-size-adjust: 100%; // [3]
  -ms-text-size-adjust: 100%; // [3]
  -webkit-font-smoothing: antialiased; // [4]
  -moz-osx-font-smoothing: grayscale; // [4]

  @include mq-max(sm) {
    font-size: ($base-font-size-sm / 1rem) * 1em;
  }

  @include mq-min(xxl) {
    font-size: ($base-font-size-lg / 1rem) * 1em;
  }
}

body {
  overflow: hidden;
}
